#!/bin/bash

# Файл для логирования
log_file="script.log"

# Очистка старого файла лога
> "$log_file"

# Функция для логирования
log() {
  echo "$(date '+%Y-%m-%d %H:%M:%S') - $1" >> "$log_file"
}

# Чтение файла построчно
while IFS= read -r search_string; do 
  # Удаление возможных лишних символов
  search_string=$(echo "$search_string" | tr -d '\r\n')
  
  log "Ищем строку: '$search_string'"
  
  # Извлечение номера страницы
  page_number=$(pdfgrep -n -m 1 "$search_string" test.pdf | cut -d: -f1)
  
  log "Найдена страница: '$page_number'"
  
  # Если страница найдена, извлекаем её
  if [[ $page_number ]]; then
    output_file="page_${page_number}(${search_string}).pdf"
    pdftk test.pdf cat $page_number output "$output_file"
    log "Страница $page_number извлечена в файл $output_file"
  else
    log "Строка '$search_string' не найдена в файле test.pdf"
  fi
  
done < test.txt
